# Summary

* [Overview](overview.md)
* [Installation Guide](README.md)
    * [Hardware Requirements](prereqs/hardware.md)
    * [Connectivity Requirements](prereqs/networking.md)
    * [Software Requirements](prereqs/software.md)
        * [Kubernetes](prereqs/kubernetes.md)
            * [Single Node](prereqs/k8s-single-node.md)
            * [Multi-Node](prereqs/k8s-multi-node.md)
        * [Helm](prereqs/helm.md)
        * [Docker Registry (optional)](prereqs/docker-registry.md)
        * [OpenStack (optional)](prereqs/openstack-helm.md)
    * [Fabric Setup](fabric-setup.md)
    * [Bringing Up CORD](profiles/intro.md)
        * [R-CORD](profiles/rcord/install.md)
            * [OLT Setup](openolt/README.md)
        * [M-CORD](profiles/mcord/install.md)
            * [EnodeB Setup](profiles/mcord/enodeb-setup.md)
    * [Helm Reference](charts/helm.md)
        * [XOS-CORE](charts/xos-core.md)
        * [ONOS](charts/onos.md)
        * [VOLTHA](charts/voltha.md)
        * [Kafka](charts/kafka.md)
        * [Hippie OSS](charts/hippie-oss.md)
        * [Base OpenStack](charts/base-openstack.md)
            * [VTN Setup](prereqs/vtn-setup.md)
        * [M-CORD](charts/mcord.md)
* [Operations Guide](operating_cord/operating_cord.md)
    * [General Info](operating_cord/general.md)
        * [REST API](operating_cord/rest_apis.md)
        * [TOSCA](xos-tosca/README.md)
        * [XOSSH](xos/dev/xossh.md)
        * [XOS Internals](operating_cord/xos_internals.md)
            * [XOS Containers](xos/xos_internals.md)
            * [XOS Configuration](xos/modules/xosconfig.md)
    * [Configuring Profiles](operating_cord/profiles.md)
        * [R-CORD](profiles/rcord/configuration.md)
        * [M-CORD](profiles/mcord/configuration.md)
    * [Configuring Services](operating_cord/services.md)
        * [Fabric](fabric/README.md)
        * [ONOS](onos-service/README.md)
        * [RCORD](rcord/README.md)
        * [vOLT](olt-service/README.md)
        * [vRouter](vrouter/README.md)
* [Modeling Guide](xos/README.md)
    * [XOS Modeling Framework](xos/dev/xproto.md)
    * [Core Models](xos/core_models.md)
    * [Security Policies](xos/security_policies.md)
    * [Writing Synchronizers](xos/dev/synchronizers.md)
        * [Design Guidelines](xos/dev/sync_arch.md)
        * [Implementation Details](xos/dev/sync_impl.md)
        * [Synchronizer Reference](xos/dev/sync_reference.md)
* [Development Guide](developer/developer.md)
    * [Getting the Source Code](developer/getting_the_code.md)
    * [Developer Workflows](developer/workflows.md)
    * [Building Docker Images](developer/imagebuilder.md)
    * [Platform Services](developer/platform.md)
        * [Kubernetes](kubernetes-service/kubernetes-service.md)
        * [OpenStack](openstack/openstack-service.md)
        * [VTN and Service Composition](xos/xos_vtn.md)
    * [Example Services](examples/examples.md)
        * [SimpleExampleService](simpleexampleservice/simple-example-service.md)
    * [GUI Development](xos-gui/developer/README.md)
        * [Quickstart](xos-gui/developer/quickstart.md)
        * [Service Graph](xos-gui/developer/service_graph.md)
        * [GUI Extensions](xos-gui/developer/gui_extensions.md)
        * [GUI Internals](xos-gui/architecture/README.md)
            * [Module Strucure](xos-gui/architecture/gui-modules.md)
            * [Data Sources](xos-gui/architecture/data-sources.md)
        * [Tests](xos-gui/developer/tests.md)
    * [Unit Tests](xos/dev/unittest.md)
* [Testing Guide](cord-tester/README.md)
    * [Test Setup](cord-tester/qa_testsetup.md)
    * [Test Environment](cord-tester/qa_testenv.md)
    * [System Tests](cord-tester/validate_pods.md)

